com.corticon.rulesemf.ast

## Interface LogicalSubExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface LogicalSubExpression
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Logical Sub Expression'.

  The following features are supported:

  - `Logical Operator`
  - `Relational Expression`
  See Also:
    `AstPackage.getLogicalSubExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogicalOperator` | `getLogicalOperator()` Returns the value of the 'Logical Operator' containment reference
    `RelationalExpression` | `getRelationalExpression()` Returns the value of the 'Relational Expression' containment reference
    `void` | `setLogicalOperator(LogicalOperator value)` Sets the value of the '`Logical Operator`' containment reference
    `void` | `setRelationalExpression(RelationalExpression value)` Sets the value of the '`Relational Expression`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLogicalOperator

          LogicalOperator getLogicalOperator()

      Returns the value of the 'Logical Operator' containment reference.

      If the meaning of the 'Logical Operator' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Logical Operator' containment reference.
      See Also:
        `setLogicalOperator(LogicalOperator)`, `AstPackage.getLogicalSubExpression_LogicalOperator()`

    - #### setLogicalOperator

          void setLogicalOperator(LogicalOperator value)

      Sets the value of the '`Logical Operator`' containment reference.
      Parameters:
        `value` - the new value of the 'Logical Operator' containment reference.
      See Also:
        `getLogicalOperator()`

    - #### getRelationalExpression

          RelationalExpression getRelationalExpression()

      Returns the value of the 'Relational Expression' containment reference.

      If the meaning of the 'Relational Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Relational Expression' containment reference.
      See Also:
        `setRelationalExpression(RelationalExpression)`, `AstPackage.getLogicalSubExpression_RelationalExpression()`

    - #### setRelationalExpression

          void setRelationalExpression(RelationalExpression value)

      Sets the value of the '`Relational Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Relational Expression' containment reference.
      See Also:
        `getRelationalExpression()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.